Subject: Re: [Gen-art] Gen-ART LC review of draft-ietf-6man-oversized-header-chain-08

From: Peter Yee <[email-masked]>
Date: Mon, 18 Nov 2013 09:42:36 -0800

Fernando,
	My apologies for not getting back to you earlier before this
draft came up for the IESG telechat.  In any case, nothing I mentioned
was earth-shattering.  I¹ll submit responses in my telechat review
which will go out shortly.

	Thanks.
			-Peter

On 10/16/13, 10:04 PM, "Fernando Gont" <[email-masked]> wrote:

>Hi, Peter,
>
>Thanks so much for your feedback! Please find my comments in-line....
>
>On 10/17/2013 01:14 AM, Peter Yee wrote:
>> Minor issues:
>> 
>> Page 10, 1st paragraph: the term "improperly-fragmented" is
>> used.  Are these truly improperly-fragmented packets or simply
>> ones that are unfriendly to stateless packet filtering?
>
>The later. (Yep, th wording could be improved). How about:
>
>"  This document describes how undesirably-fragmented packets can
>   prevent traditional stateless packet filtering."
>
>
>
>> It seems
>> more like the lengthy headers were within spec to date and are now
>> being prohibited to solve a specific problem.
>
>I deem this as a corner case that wasn't expected to happen, but yet was
>allowed (other might correct me if I'm wrong).
>
>
>> Nits:
>> 
>> General: use a comma after the terms "e.g." or "i.e" throughout the
>> document.  Usage is inconsistent.
>
>Remove or add?
>
>
>
>> Page 3, 3rd paragraph: insert "the" between "from" and "IPv6".
>
>Done.
>
>
>
>> Page 8, 1st paragraph: replace "a" with "an" before "IPv6
>> datagram".
>
>Done.
>
>
>> Page 8, 2nd paragraph: the parenthetical example does not appear
>> to be a good match for the preceding text.  It is written as a
>> mechanism that allows the possible maintenance of the status quo
>> rather than giving an example of how the preceding SHOULD might
>> be implemented.  E.g., indicates an example of something.
>
>mm.. not sure what you mean. Could you please elaborate?
>
>
>
>> Page 8, paragraph 3, 1st sentence: change "requirements" to
>> "requirement".  Only one requirement was given and that was
>> that the entire header chain be in the first fragment.
>
>Done.
>
>
>
>> Page 8, 3rd paragraph, 2nd sentence: delete the parenthetical
>> statement and the "or not".  They are redundant.
>
>Done.
>
>
>
>> Page 8, 4th paragraph, 1st sentence: change "requirements" to
>> "requirement" for the same reason given above.
>
>Done
>
>
>
>> Page 8, 5th paragraph, 1st sentence: change "requirements" to
>> "requirement" for the same reason given above.
>Done
>
>
>
>> Page 10, 1st paragraph: append a comma after "traditional".
>
>Done.
>
>Thanks!
>
>Best regards,
>-- 
>Fernando Gont
>SI6 Networks
>e-mail: [email-masked]
>PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492
>
>
>
>
>